- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases/createInsight#body.aspect_1)

**Full name**: projects.locations.instances.cases.createInsight

Adds an insight to a Case. Insights are analyst-provided or automation-generated notes, observations, or critical pieces of information discovered during the case investigation.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:createInsight`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Case to create Insight for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "triggeredBy": string, "title": string, "content": string, "entityIdentifier": string, "severity": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightSeverity`), "type": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightType`), "additionalDataType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightType`), "additionalData": string, "additionalDataTitle": string, "entityType": string, "alertIdentifier": string, "isFavorite": boolean } ``` |

| Fields ||
|---|---|
| `triggeredBy` | `string` Optional. User who triggered the case insight. |
| `title` | `string` Required. Insight title. |
| `content` | `string` Required. Insight content. |
| `entityIdentifier` | `string` Optional. Entity identifier. |
| `severity` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightSeverity`)`` Optional. Case insight severity. |
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightType`)`` Optional. Case insight type. |
| `additionalDataType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CaseInsightType`)`` Optional. Case additional data insight type. |
| `additionalData` | `string` Optional. Case Insight additional data. |
| `additionalDataTitle` | `string` Optional. Case Insight additional data. |
| `entityType` | `string` Optional. Entity type. |
| `alertIdentifier` | `string` Optional. Alert identifier to create insight for. |
| `isFavorite` | `boolean` Optional. Is Favoriting Insight. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.cases.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).